SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Web Browser)  >   Mozilla Firefox Vendors:   Mozilla.org
(Oracle Issues Fix for Oracle Linux) Mozilla Firefox Use-After-Free in nsIPresShell Lets Remote Users Execute Arbitrary Code
SecurityTracker Alert ID:  1033413
SecurityTracker URL:  http://securitytracker.com/id/1033413
CVE Reference:   CVE-2015-4497   (Links to External Site)
Date:  Aug 28 2015
Impact:   Execution of arbitrary code via network, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): prior to 40.0.3
Description:   A vulnerability was reported in Mozilla Firefox. A remote user can cause arbitrary code to be executed on the target user's system.

A remote user can create specially crafted content that triggers a resize event where the referenced '<canvas>' element undergoes a style change that deletes the original canvas reference. When the content is loaded by the target user, a use-after-free memory error will occur in nsIPresShell and arbitrary code will be executed on the target user's system.

Jean-Max Reymond reported this vulnerability. Ucha Gobejishvili (via HP's Zero Day Initiative) later reported this vulnerability.

Impact:   A remote user can create content that, when loaded by the target user, will execute arbitrary code on the target user's system.
Solution:   Oracle has issued a fix for Oracle Linux.

The Oracle Linux advisory is available at:

http://linux.oracle.com/errata/ELSA-2015-1693.html

Vendor URL:  linux.oracle.com/errata/ELSA-2015-1693.html (Links to External Site)
Cause:   Access control error
Underlying OS:  Linux (Oracle)
Underlying OS Comments:  5, 6, 7

Message History:   This archive entry is a follow-up to the message listed below.
Aug 27 2015 Mozilla Firefox Use-After-Free in nsIPresShell Lets Remote Users Execute Arbitrary Code



 Source Message Contents

Subject:  [El-errata] ELSA-2015-1693 Critical: Oracle Linux 7 firefox security update

Oracle Linux Security Advisory ELSA-2015-1693

http://linux.oracle.com/errata/ELSA-2015-1693.html

The following updated rpms for Oracle Linux 7 have been uploaded to the 
Unbreakable Linux Network:

x86_64:
firefox-38.2.1-1.0.1.el7_1.i686.rpm
firefox-38.2.1-1.0.1.el7_1.x86_64.rpm


SRPMS:
http://oss.oracle.com/ol7/SRPMS-updates/firefox-38.2.1-1.0.1.el7_1.src.rpm



Description of changes:

[38.2.1-1.0.1]
- Add firefox-oracle-default-prefs.js and remove the corresponding Red 
Hat file

[38.2.1-1]
- Update to 38.2.1 ESR


_______________________________________________
El-errata mailing list
El-errata@oss.oracle.com
https://oss.oracle.com/mailman/listinfo/el-errata
 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2022, SecurityGlobal.net LLC